Airwallex logo
Airwallex logoAirwallex logo

MarketFX

Copy for LLMView as Markdown

When your account is configured to utilise the MarketFX product you can generate an indicative quote that provides the rate that a Conversion request would be booked at.

Endpoints
GET /api/v1/marketfx/quote

Retrieve an indicative MarketFX quote

GET /api/v1/marketfx/quote

Retrieve an indicative MarketFX quote for the buy/sell currency and amount.

Parameters
buy_currencyrequiredstring

Currency (3-letter ISO-4217 code) the client buys

sell_currencyrequiredstring

Currency (3-letter ISO-4217 code) the client sells. This is the currency you will need to send us by the settlement cutoff time

buy_amountnumber

Amount the client buys in buy_currency (must be blank if sell_amount is specified)

conversion_datestring

Date on which the conversion will be settled. conversion_date defaults to current date, if funding is available, unless specified.

sell_amountnumber

Amount the client sells in sell_currency (must be blank if buy_amount is specified)

Response body - 200 OK
awx_ratenumber

For reference purposes only. This is a reference rate Airwallex compiles by analyzing prices across multiple banking providers and independent rate publishers

buy_amountnumber

buy_amount copied from the Quote request (if specified). Otherwise, this is calculated by multiplying/dividing the sell_amount by the FX quote depending on the direction of the currency pair

buy_currencystring

Buy currency of the quote (3-letter ISO-4217 code)

client_ratenumber

The returned FX quote

conversion_datestring

Date on which the conversion will be settled. conversion_date defaults to current date, if funding is available, unless specified.

currency_pairstring

The currency pair that the quote is for. The direction of the currency pair is per market convention where possible

dealt_currencystring

The currency where the client provided the exact amount for in the request

mid_ratenumber

For reference purposes only. This rate represents the midpoint of the current bid and ask price.

quote_idstring

The quote unique identifier

rate_detailsarray

Breakdown of rates at different user levels.

rate_details.buy_amountnumber

The total amount being bought at the respective level.

rate_details.levelstring

Level of the view. CLIENT and AWX level supported

CLIENT, AWX

rate_details.ratenumber

The exchange rate from the respective level's perspective.

rate_details.sell_amountnumber

The total amount being sold at the respective level.

sell_amountnumber

sell_amount copied from the Quote request (if specified). Otherwise, this is calculated by multiplying/dividing the buy_amount by the FX quote depending on the direction of the currency pair

sell_currencystring

Sell currency of the quote (3-letter ISO-4217 code)

settlement_cutoff_timestring

The settlement cutoff time for the settlement date specified

Errors
Error statusDescription
400

Possible errors: amount_above_limit, amount_below_limit, invalid_settlement_date, invalid_endpoint, invalid_argument, unsupported_currency

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/marketfx/quote
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/marketfx/quote' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "awx_rate": 0.7622,
3 "buy_amount": 10000,
4 "buy_currency": "AUD",
5 "client_rate": 0.7632,
6 "conversion_date": "2017-04-01",
7 "currency_pair": "AUDUSD",
8 "dealt_currency": "AUD",
9 "mid_rate": 0.7612,
10 "quote_id": "a08c0f2f-3f26-4443-b5df-fad15582eb94",
11 "rate_details": [
12 {
13 "buy_amount": 10000,
14 "level": "CLIENT",
15 "rate": 0.781523,
16 "sell_amount": 12794.27
17 }
18 ],
19 "sell_amount": 7632,
20 "sell_currency": "USD",
21 "settlement_cutoff_time": "2017-04-01T14:30:00+1100"
22}
Was this section helpful?